
QGIS Application - Bug report #5068

GRASS plug-in support is broken in QGIS 1.9.90

2012-02-22 12:01 PM - zirneklitis -

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows XP, Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 14835

Description

It looks like there is something wrong with the GRASS plug-ins for 1.9.90 :

2012-02-22T14:15:53 Failed to load C:/OSGeo4W/apps/qgis-dev/plugins/grassplugin.dll (Reason: Cannot load library

C:/OSGeo4W/apps/qgis-dev/plugins/grassplugin.dll: The specified module could not be found.) 0

2012-02-22T14:15:53 Failed to load C:/OSGeo4W/apps/qgis-dev/plugins/grassprovider.dll (Reason: Cannot load library

C:/OSGeo4W/apps/qgis-dev/plugins/grassprovider.dll: The specified module could not be found.) 0

2012-02-22T14:15:53 Failed to load C:/OSGeo4W/apps/qgis-dev/plugins/grassrasterprovider.dll (Reason: Cannot load library

C:/OSGeo4W/apps/qgis-dev/plugins/grassrasterprovider.dll: The specified module could not be found.) 0

At the same time:

Directory of C:\\OSGeo4W\\apps\\qgis-dev\\plugins

 ..

2012.02.15. 10:07 1˙730˙560 grassplugin.dll

2012.02.11. 18:14 245˙760 grassprovider.dll

2012.02.11. 18:16 116˙736 grassrasterprovider.dll

 ..

The same error on Linux (built from source):

2012-02-22T21:42:35  Failed to load /usr/local/lib/qgis/plugins/libgrassplugin.so (Reason: Cannot load library

/usr/local/lib/qgis/plugins/libgrassplugin.so: (libgrassprovider.so: cannot open shared object file: No such file or directory))  0

2012-02-22T21:42:35  Failed to load /usr/local/lib/qgis/plugins/libgrassprovider.so (Reason: Cannot load library

/usr/local/lib/qgis/plugins/libgrassprovider.so: (libgrass_gis.so: cannot open shared object file: No such file or directory))  0

2012-02-22T21:42:35  Failed to load /usr/local/lib/qgis/plugins/libgrassrasterprovider.so (Reason: Cannot load library

/usr/local/lib/qgis/plugins/libgrassrasterprovider.so: (libgrass_gis.so: cannot open shared object file: No such file or directory))  0

Here comes the directory listing:

[~]$ ls /usr/local/lib/qgis/plugins/*grass*

/usr/local/lib/qgis/plugins/libgrassplugin.so

/usr/local/lib/qgis/plugins/libgrassprovider.so

/usr/local/lib/qgis/plugins/libgrassrasterprovider.so
History

#1 - 2012-02-22 04:17 PM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

Two independant problems:

    1. On Linux: Add your GRASS library path to LD_LIBRARY_PATH or /etc/ld.so.conf

    2. On Windows you've apparently hit: OSGeo4W # 269

#2 - 2012-02-22 08:53 PM - zirneklitis -

On Linux that's it.

But I am not sure about Windows case. Just upon start-up qgis and qgis-dev has identical PATH variables exept 'C:\\OSGeo4W\\apps\\qgis\\bin;' / '

C:\\OSGeo4W\\apps\\qgis-dev\\bin;'. GRASS plugin work fine from 1.7.4. but was not able to start in 1.9.90.

------------------------------------------------------------

PATH just befor calling

start "Quantum GIS" /B "%OSGEO4W_ROOT%"\\apps\\qgis-dev\\bin\\qgis.exe %*

(split in rows for clarity)

PATH=

C:\\OSGeo4W\\apps\\grass\\grass-6.4.2\\bin;

C:\\OSGeo4W\\apps\\grass\\grass-6.4.2\\lib;

C:\\OSGeo4W\\apps\\msys\\bin;

C:\\OSGeo4W\\bin;

C:\\PRG\\GTK\\bin;

C:\\WINDOWS\\Commands;

C:\\PRG\\Perl\\bin;

C:\\WINDOWS\\system32;

C:\\WINDOWS;

C:\\WINDOWS\\System32\\Wbem;

C:\\Program Files\\Intel\\DMIX;

C:\\PRG\\R\\bin;

C:\\PRG\\ggobi;

C:\\PRG\\BCC55\\Bin;

C:\\Program Files\\Multivide\\QuickTime\\QTSystem\\;

C:\\OSGeo4W\\apps\\msys\\bin;

C:\\OSGeo4W\\apps\\qgis-dev\\bin;

C:\\OSGeo4W\\apps\\grass\\grass-6.4.2\\lib

------------------------------------------------------------

PATH just befor calling

start "Quantum GIS" /B "%OSGEO4W_ROOT%"\\apps\\qgis\\bin\\qgis.exe %*

(split in rows for clarity)

PATH=

C:\\OSGeo4W\\apps\\grass\\grass-6.4.2\\bin;

C:\\OSGeo4W\\apps\\grass\\grass-6.4.2\\lib;

C:\\OSGeo4W\\apps\\msys\\bin;

C:\\OSGeo4W\\bin;
C:\\PRG\\GTK\\bin;

C:\\WINDOWS\\Commands;

C:\\PRG\\Perl\\bin;

C:\\WINDOWS\\system32;

C:\\WINDOWS;

C:\\WINDOWS\\System32\\Wbem;

C:\\Program Files\\Intel\\DMIX;

C:\\PRG\\R\\bin;

C:\\PRG\\ggobi;

C:\\PRG\\BCC55\\Bin;

C:\\Program Files\\Multivide\\QuickTime\\QTSystem\\;

C:\\OSGeo4W\\apps\\msys\\bin;

C:\\OSGeo4W\\apps\\qgis\\bin;

C:\\OSGeo4W\\apps\\grass\\grass-6.4.2\\lib

#3 - 2012-02-22 09:03 PM - zirneklitis -

The latest build has solved the isue – OSGeo4W Quantum GIS 1.9.90-72 works as expected :)
